summaryrefslogtreecommitdiffstats
path: root/usr.bin/kdump
diff options
context:
space:
mode:
authordes <des@FreeBSD.org>2008-02-03 11:33:27 +0000
committerdes <des@FreeBSD.org>2008-02-03 11:33:27 +0000
commitb198f5f802788a72ebf2a1d063223debac1747e7 (patch)
treecae7373cd282d1fd7ae9f0ab494bbef7ae58c1bc /usr.bin/kdump
parent45f131f91d7b5b5e92e01cf6a4d5e5c222b5b319 (diff)
downloadFreeBSD-src-b198f5f802788a72ebf2a1d063223debac1747e7.zip
FreeBSD-src-b198f5f802788a72ebf2a1d063223debac1747e7.tar.gz
These are files are shell scripts; give smart editors a chance to figure
it out by adding the usual shebang. MFC after: 2 weeks
Diffstat (limited to 'usr.bin/kdump')
-rw-r--r--usr.bin/kdump/mkioctls10
-rw-r--r--usr.bin/kdump/mksubr10
2 files changed, 12 insertions, 8 deletions
diff --git a/usr.bin/kdump/mkioctls b/usr.bin/kdump/mkioctls
index fbbd2b1..9d11984 100644
--- a/usr.bin/kdump/mkioctls
+++ b/usr.bin/kdump/mkioctls
@@ -1,7 +1,9 @@
-set -e
-
+#!/bin/sh
+#
# $FreeBSD$
+set -e
+
if [ "x$1" = "x-s" ]; then
use_switch=1
shift
@@ -70,13 +72,13 @@ BEGIN {
}
/^#[ ]*define[ ]+[A-Za-z_][A-Za-z0-9_]*[ ]+_IO/ {
-
+
# find where the name starts
for (i = 1; i <= NF; i++)
if ($i ~ /define/)
break;
++i;
- #
+ #
if (use_switch)
printf("\tcase %s:\n\t\treturn(\"%s\");\n", $i, $i);
else
diff --git a/usr.bin/kdump/mksubr b/usr.bin/kdump/mksubr
index 22db1253..e93f03e 100644
--- a/usr.bin/kdump/mksubr
+++ b/usr.bin/kdump/mksubr
@@ -1,5 +1,7 @@
-set -e
-
+#!/bin/sh
+#
+# $FreeBSD$
+#
# Generates kdump_subr.c
# mkioctls is a special-purpose script, and works fine as it is
# now, so it remains independent. The idea behind how it generates
@@ -16,7 +18,7 @@ set -e
# that the auto_*_type() functions are inappropriate for.
# MANUAL: Manually entered and must therefore be manually updated.
-# $FreeBSD$
+set -e
LC_ALL=C; export LC_ALL
@@ -426,7 +428,7 @@ void
sendrecvflagsname (int flags)
{
int or = 0;
-
+
if (flags == 0) {
(void)printf("0");
return;
OpenPOWER on IntegriCloud